Categories:
  - Internet
  - Connectivity
  - System
License: GPL-3.0-only
AuthorName: Janek Zangenberg
AuthorEmail: zangenbergjanek@googlemail.com
SourceCode: https://github.com/w2sv/WiFi-Widget
IssueTracker: https://github.com/w2sv/WiFi-Widget/issues

AutoName: WiFi Widget

RepoType: git
Repo: https://github.com/w2sv/WiFi-Widget.git
Binaries: https://github.com/w2sv/WiFi-Widget/releases/download/%v/%v.apk

Builds:
  - versionName: 1.1.13
    versionCode: 17
    commit: 335ef164d9d1104d4a75df000742e06de54f2692
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 18
    commit: b7c1a688fe6528469f3da11ba68dd726d3d77489
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.20
    versionCode: 22
    commit: e9deabef7b3edcf49d3cf3668006ca28f7e604ba
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.31
    versionCode: 24
    commit: ea2b81280cbe2d66c2edf9a3e1ea107c409068c5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.40
    versionCode: 27
    commit: c88e17de377494c6bbe0b642db5d74d18b927831
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.51
    versionCode: 29
    disable: https://github.com/w2sv/WiFi-Widget/issues/44
    commit: 3043f5fd6b93848a9a15e43f9748bbf3500693bc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AllowedAPKSigningKeys: e22bed7909bce21fa5bc900a8c056eaa0773761f70774d1d808bbbafb3aa1958

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: gradle.properties|versionCode=(\d+)|.|version=([\d.]+)
CurrentVersion: 1.2.51
CurrentVersionCode: 29
